3 Replies Latest reply on Mar 1, 2007 6:05 AM by Thomas Diesler

    .war Deployment fails after upgrade to jbossws-1.2.0.GA

    Adam Perez Newbie

      Good morning.

      We are currently running Jboss 4.0.4 GA on JDK 1.5.

      Our application was deploying and running without issue while using jbossws 1.0.3 GA. This morning I upgraded to 1.2.0.GA following the install notes included in the jbossws-1.2.0.GA.zip.

      Upon starting my server our application fails to deploy. I have included a section from the server.log below.

      Anyone encounter this issue? Any incite? Thanks!


      2007-02-28 10:57:26,753 ERROR [org.jboss.deployment.MainDeployer]
      Could not start deployment: file:/C:/jboss-4.0.4/server/xxx/deploy/xxx.war
      java.lang.NoSuchMethodError: com.sun.xml.bind.api.JAXBRIContext.newInstance([Ljava/lang/Class;)Ljavax/xml/bind/JAXBContext;
      at org.jboss.ws.metadata.acessor.JAXBAccessor$1.create(JAXBAccessor.java:67)
      at org.jboss.ws.metadata.acessor.JAXBAccessor$1.create(JAXBAccessor.java:54)


      --- Incompletely deployed packages ---
      org.jboss.deployment.DeploymentInfo@e1f306a0 { url=file:/C:/jboss-4.0.4/server/xxx/deploy/xxx.war }
      deployer: MBeanProxyExt[jboss.web:service=WebServer]
      status: Deployment FAILED reason: com.sun.xml.bind.api.JAXBRIContext.newInstance([Ljava/lang/Class;)Ljavax/xml/bind/JAXBContext;
      state: FAILED